## org.apache.cassandra.utils.IntervalTree
Class Interval<T>

    java.lang.Object
      org.apache.cassandra.utils.IntervalTree.Interval<T>

    public class Interval<T>

extends java.lang.Object

Field Summary
`T` `Data`
`java.lang.Comparable` `max`
`static com.google.common.collect.Ordering<Interval>` `maxOrdering`
`java.lang.Comparable` `min`
`static com.google.common.collect.Ordering<Interval>` `minOrdering`

Constructor Summary
`Interval(java.lang.Comparable min, java.lang.Comparable max)`
`Interval(java.lang.Comparable min, java.lang.Comparable max, T data)`

Method Summary
`boolean` `contains(java.lang.Comparable point)`
`boolean` `encloses(Interval interval)`
`boolean` `intersects(Interval interval)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### min

    public final java.lang.Comparable min

### max

    public final java.lang.Comparable max

### Data

    public final T Data

### minOrdering

    public static final com.google.common.collect.Ordering<Interval> minOrdering

### maxOrdering

    public static final com.google.common.collect.Ordering<Interval> maxOrdering

Constructor Detail

### Interval

    public Interval(java.lang.Comparable min,
                    java.lang.Comparable max)

### Interval

    public Interval(java.lang.Comparable min,
                    java.lang.Comparable max,
                    T data)

Method Detail

### encloses

    public boolean encloses(Interval interval)

### contains

    public boolean contains(java.lang.Comparable point)

### intersects

    public boolean intersects(Interval interval)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation